For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • POSTCreate a carrier
      • POSTBatch create carriers
      • GETList carriers
      • GETGet a carrier
      • PATCHUpdate a carrier
      • POSTRe-enable a previously disabled carrier
      • POSTDisable a carrier organization-wide
LogoLogo
SupportDashboard
EndpointsCarriers

Batch create carriers

POST
/carriers/batch
POST
/api/v1/carriers/batch
$curl -X POST https://tryenvoy.ai/api/v1/carriers/batch \
> -H "Content-Type: application/json" \
> -d '{
> "carriers": [
> {
> "carrier": {
> "name": "string"
> }
> }
> ]
>}'
1{
2 "success": true,
3 "total": 1,
4 "successful": 1,
5 "failed": 1,
6 "created": 1,
7 "updated": 1,
8 "results": [
9 {
10 "identifier": "string",
11 "success": true,
12 "carrier_id": "string",
13 "operation": "string",
14 "lanes_created": 0,
15 "error": "string"
16 }
17 ],
18 "processed_at": "2024-01-15T09:30:00Z"
19}

Batch create or update carriers. Requires API key authentication.

Authentication: API key required.

Was this page helpful?
Previous

List carriers

Next
Built with

Request

This endpoint expects an object.
carrierslist of objectsRequired

List of carriers to create (max 1000)

Response

Successful Response
successboolean
totalinteger
successfulinteger
failedinteger
createdinteger
updatedinteger
resultslist of objects
processed_atdatetime

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error